package com.muyu.aliyun.bailian.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UploadDescribeFileMode {

    /**
     * 工作空间标识符
     * 用于唯一标识一个工作空间，在处理与工作空间相关的操作时使用
     */
    private String workspaceId;


    /**
     * 文件标识符
     * 用于唯一标识一个文件，在处理与文件相关的操作时使用
     */
    private String fileId;

    /**
     * 区域ID
     * 用于标识特定的地理区域或可用区
     */
    private String regionId;

}
